Index: Makefile
===================================================================
--- Makefile	(revision 41339722b4383a3b12e38edfec00ef33bc90911c)
+++ Makefile	(revision 97510e66e36aecddee2c188fc7054c78f0677e50)
@@ -66,13 +66,13 @@
 
 
-pileup2root$(ExeSuf): \
-	tmp/converters/pileup2root.$(ObjSuf)
-
-tmp/converters/pileup2root.$(ObjSuf): \
-	converters/pileup2root.cpp \
+lhco2root$(ExeSuf): \
+	tmp/converters/lhco2root.$(ObjSuf)
+
+tmp/converters/lhco2root.$(ObjSuf): \
+	converters/lhco2root.cpp \
+	modules/Delphes.h \
 	classes/DelphesStream.h \
 	classes/DelphesClasses.h \
 	classes/DelphesFactory.h \
-	classes/DelphesPileUpReader.h \
 	external/ExRootAnalysis/ExRootTreeWriter.h \
 	external/ExRootAnalysis/ExRootTreeBranch.h \
@@ -87,4 +87,12 @@
 	external/ExRootAnalysis/ExRootTreeReader.h \
 	external/ExRootAnalysis/ExRootProgressBar.h
+root2lhco$(ExeSuf): \
+	tmp/converters/root2lhco.$(ObjSuf)
+
+tmp/converters/root2lhco.$(ObjSuf): \
+	converters/root2lhco.cpp \
+	classes/DelphesClasses.h \
+	external/ExRootAnalysis/ExRootTreeReader.h \
+	external/ExRootAnalysis/ExRootProgressBar.h
 stdhep2pileup$(ExeSuf): \
 	tmp/converters/stdhep2pileup.$(ObjSuf)
@@ -99,24 +107,4 @@
 	external/ExRootAnalysis/ExRootTreeBranch.h \
 	external/ExRootAnalysis/ExRootProgressBar.h
-lhco2root$(ExeSuf): \
-	tmp/converters/lhco2root.$(ObjSuf)
-
-tmp/converters/lhco2root.$(ObjSuf): \
-	converters/lhco2root.cpp \
-	modules/Delphes.h \
-	classes/DelphesStream.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	external/ExRootAnalysis/ExRootTreeWriter.h \
-	external/ExRootAnalysis/ExRootTreeBranch.h \
-	external/ExRootAnalysis/ExRootProgressBar.h
-root2lhco$(ExeSuf): \
-	tmp/converters/root2lhco.$(ObjSuf)
-
-tmp/converters/root2lhco.$(ObjSuf): \
-	converters/root2lhco.cpp \
-	classes/DelphesClasses.h \
-	external/ExRootAnalysis/ExRootTreeReader.h \
-	external/ExRootAnalysis/ExRootProgressBar.h
 hepmc2pileup$(ExeSuf): \
 	tmp/converters/hepmc2pileup.$(ObjSuf)
@@ -131,4 +119,16 @@
 	external/ExRootAnalysis/ExRootTreeBranch.h \
 	external/ExRootAnalysis/ExRootProgressBar.h
+pileup2root$(ExeSuf): \
+	tmp/converters/pileup2root.$(ObjSuf)
+
+tmp/converters/pileup2root.$(ObjSuf): \
+	converters/pileup2root.cpp \
+	classes/DelphesStream.h \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesPileUpReader.h \
+	external/ExRootAnalysis/ExRootTreeWriter.h \
+	external/ExRootAnalysis/ExRootTreeBranch.h \
+	external/ExRootAnalysis/ExRootProgressBar.h
 Example1$(ExeSuf): \
 	tmp/examples/Example1.$(ObjSuf)
@@ -143,19 +143,19 @@
 	external/ExRootAnalysis/ExRootUtilities.h
 EXECUTABLE +=  \
+	lhco2root$(ExeSuf) \
+	root2pileup$(ExeSuf) \
+	root2lhco$(ExeSuf) \
+	stdhep2pileup$(ExeSuf) \
+	hepmc2pileup$(ExeSuf) \
 	pileup2root$(ExeSuf) \
-	root2pileup$(ExeSuf) \
-	stdhep2pileup$(ExeSuf) \
-	lhco2root$(ExeSuf) \
-	root2lhco$(ExeSuf) \
-	hepmc2pileup$(ExeSuf) \
 	Example1$(ExeSuf)
 
 EXECUTABLE_OBJ +=  \
+	tmp/converters/lhco2root.$(ObjSuf) \
+	tmp/converters/root2pileup.$(ObjSuf) \
+	tmp/converters/root2lhco.$(ObjSuf) \
+	tmp/converters/stdhep2pileup.$(ObjSuf) \
+	tmp/converters/hepmc2pileup.$(ObjSuf) \
 	tmp/converters/pileup2root.$(ObjSuf) \
-	tmp/converters/root2pileup.$(ObjSuf) \
-	tmp/converters/stdhep2pileup.$(ObjSuf) \
-	tmp/converters/lhco2root.$(ObjSuf) \
-	tmp/converters/root2lhco.$(ObjSuf) \
-	tmp/converters/hepmc2pileup.$(ObjSuf) \
 	tmp/examples/Example1.$(ObjSuf)
 
@@ -249,18 +249,18 @@
 tmp/external/ProMC/ProMCBook.$(ObjSuf): \
 	external/ProMC/ProMCBook.$(SrcSuf)
+tmp/external/ProMC/ProMC.pb.$(ObjSuf): \
+	external/ProMC/ProMC.pb.$(SrcSuf)
 tmp/external/ProMC/ProMCStat.pb.$(ObjSuf): \
 	external/ProMC/ProMCStat.pb.$(SrcSuf)
-tmp/external/ProMC/ProMC.pb.$(ObjSuf): \
-	external/ProMC/ProMC.pb.$(SrcSuf)
+tmp/external/ProMC/ProMCHeader.pb.$(ObjSuf): \
+	external/ProMC/ProMCHeader.pb.$(SrcSuf)
 tmp/external/ProMC/ProMCDescription.pb.$(ObjSuf): \
 	external/ProMC/ProMCDescription.pb.$(SrcSuf)
-tmp/external/ProMC/ProMCHeader.pb.$(ObjSuf): \
-	external/ProMC/ProMCHeader.pb.$(SrcSuf)
 DELPHES_OBJ +=  \
 	tmp/external/ProMC/ProMCBook.$(ObjSuf) \
+	tmp/external/ProMC/ProMC.pb.$(ObjSuf) \
 	tmp/external/ProMC/ProMCStat.pb.$(ObjSuf) \
-	tmp/external/ProMC/ProMC.pb.$(ObjSuf) \
-	tmp/external/ProMC/ProMCDescription.pb.$(ObjSuf) \
-	tmp/external/ProMC/ProMCHeader.pb.$(ObjSuf)
+	tmp/external/ProMC/ProMCHeader.pb.$(ObjSuf) \
+	tmp/external/ProMC/ProMCDescription.pb.$(ObjSuf)
 
 ifeq ($(HAS_PYTHIA8),true)
@@ -363,4 +363,32 @@
 	tmp/display/DisplayDict.$(ObjSuf)
 
+tmp/classes/DelphesHepMCReader.$(ObjSuf): \
+	classes/DelphesHepMCReader.$(SrcSuf) \
+	classes/DelphesHepMCReader.h \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesStream.h \
+	external/ExRootAnalysis/ExRootTreeBranch.h
+tmp/classes/DelphesLHEFReader.$(ObjSuf): \
+	classes/DelphesLHEFReader.$(SrcSuf) \
+	classes/DelphesLHEFReader.h \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesStream.h \
+	external/ExRootAnalysis/ExRootTreeBranch.h
+tmp/classes/DelphesFactory.$(ObjSuf): \
+	classes/DelphesFactory.$(SrcSuf) \
+	classes/DelphesFactory.h \
+	classes/DelphesClasses.h \
+	external/ExRootAnalysis/ExRootTreeBranch.h
+tmp/classes/DelphesFormula.$(ObjSuf): \
+	classes/DelphesFormula.$(SrcSuf) \
+	classes/DelphesFormula.h
+tmp/classes/DelphesSTDHEPReader.$(ObjSuf): \
+	classes/DelphesSTDHEPReader.$(SrcSuf) \
+	classes/DelphesSTDHEPReader.h \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	external/ExRootAnalysis/ExRootTreeBranch.h
 tmp/classes/DelphesStream.$(ObjSuf): \
 	classes/DelphesStream.$(SrcSuf) \
@@ -369,40 +397,4 @@
 	classes/DelphesPileUpWriter.$(SrcSuf) \
 	classes/DelphesPileUpWriter.h
-tmp/classes/DelphesClasses.$(ObjSuf): \
-	classes/DelphesClasses.$(SrcSuf) \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/SortableObject.h
-tmp/classes/DelphesLHEFReader.$(ObjSuf): \
-	classes/DelphesLHEFReader.$(SrcSuf) \
-	classes/DelphesLHEFReader.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/DelphesStream.h \
-	external/ExRootAnalysis/ExRootTreeBranch.h
-tmp/classes/DelphesFormula.$(ObjSuf): \
-	classes/DelphesFormula.$(SrcSuf) \
-	classes/DelphesFormula.h
-tmp/classes/DelphesFactory.$(ObjSuf): \
-	classes/DelphesFactory.$(SrcSuf) \
-	classes/DelphesFactory.h \
-	classes/DelphesClasses.h \
-	external/ExRootAnalysis/ExRootTreeBranch.h
-tmp/classes/DelphesSTDHEPReader.$(ObjSuf): \
-	classes/DelphesSTDHEPReader.$(SrcSuf) \
-	classes/DelphesSTDHEPReader.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	external/ExRootAnalysis/ExRootTreeBranch.h
-tmp/classes/DelphesHepMCReader.$(ObjSuf): \
-	classes/DelphesHepMCReader.$(SrcSuf) \
-	classes/DelphesHepMCReader.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/DelphesStream.h \
-	external/ExRootAnalysis/ExRootTreeBranch.h
-tmp/classes/DelphesPileUpReader.$(ObjSuf): \
-	classes/DelphesPileUpReader.$(SrcSuf) \
-	classes/DelphesPileUpReader.h
 tmp/classes/DelphesModule.$(ObjSuf): \
 	classes/DelphesModule.$(SrcSuf) \
@@ -413,23 +405,12 @@
 	external/ExRootAnalysis/ExRootTreeWriter.h \
 	external/ExRootAnalysis/ExRootResult.h
-tmp/modules/TrackPileUpSubtractor.$(ObjSuf): \
-	modules/TrackPileUpSubtractor.$(SrcSuf) \
-	modules/TrackPileUpSubtractor.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
-tmp/modules/TreeWriter.$(ObjSuf): \
-	modules/TreeWriter.$(SrcSuf) \
-	modules/TreeWriter.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h \
-	external/ExRootAnalysis/ExRootTreeBranch.h
+tmp/classes/DelphesClasses.$(ObjSuf): \
+	classes/DelphesClasses.$(SrcSuf) \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/SortableObject.h
+tmp/classes/DelphesPileUpReader.$(ObjSuf): \
+	classes/DelphesPileUpReader.$(SrcSuf) \
+	classes/DelphesPileUpReader.h
 tmp/modules/LeptonDressing.$(ObjSuf): \
 	modules/LeptonDressing.$(SrcSuf) \
@@ -441,17 +422,16 @@
 	external/ExRootAnalysis/ExRootFilter.h \
 	external/ExRootAnalysis/ExRootClassifier.h
-tmp/modules/PileUpMerger.$(ObjSuf): \
-	modules/PileUpMerger.$(SrcSuf) \
-	modules/PileUpMerger.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/DelphesFormula.h \
-	classes/DelphesPileUpReader.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
-tmp/modules/Isolation.$(ObjSuf): \
-	modules/Isolation.$(SrcSuf) \
-	modules/Isolation.h \
+tmp/modules/Efficiency.$(ObjSuf): \
+	modules/Efficiency.$(SrcSuf) \
+	modules/Efficiency.h \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesFormula.h \
+	external/ExRootAnalysis/ExRootResult.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootClassifier.h
+tmp/modules/UniqueObjectFinder.$(ObjSuf): \
+	modules/UniqueObjectFinder.$(SrcSuf) \
+	modules/UniqueObjectFinder.h \
 	classes/DelphesClasses.h \
 	classes/DelphesFactory.h \
@@ -469,16 +449,7 @@
 	external/ExRootAnalysis/ExRootFilter.h \
 	external/ExRootAnalysis/ExRootClassifier.h
-tmp/modules/Calorimeter.$(ObjSuf): \
-	modules/Calorimeter.$(SrcSuf) \
-	modules/Calorimeter.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
-tmp/modules/Weighter.$(ObjSuf): \
-	modules/Weighter.$(SrcSuf) \
-	modules/Weighter.h \
+tmp/modules/ParticlePropagator.$(ObjSuf): \
+	modules/ParticlePropagator.$(SrcSuf) \
+	modules/ParticlePropagator.h \
 	classes/DelphesClasses.h \
 	classes/DelphesFactory.h \
@@ -490,13 +461,4 @@
 	modules/EnergySmearing.$(SrcSuf) \
 	modules/EnergySmearing.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
-tmp/modules/StatusPidFilter.$(ObjSuf): \
-	modules/StatusPidFilter.$(SrcSuf) \
-	modules/StatusPidFilter.h \
 	classes/DelphesClasses.h \
 	classes/DelphesFactory.h \
@@ -523,4 +485,32 @@
 	external/fastjet/plugins/CDFCones/fastjet/CDFMidPointPlugin.hh \
 	external/fastjet/plugins/CDFCones/fastjet/CDFJetCluPlugin.hh
+tmp/modules/PileUpMergerPythia8.$(ObjSuf): \
+	modules/PileUpMergerPythia8.$(SrcSuf) \
+	modules/PileUpMergerPythia8.h \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesFormula.h \
+	classes/DelphesPileUpReader.h \
+	external/ExRootAnalysis/ExRootResult.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootClassifier.h
+tmp/modules/StatusPidFilter.$(ObjSuf): \
+	modules/StatusPidFilter.$(SrcSuf) \
+	modules/StatusPidFilter.h \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesFormula.h \
+	external/ExRootAnalysis/ExRootResult.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootClassifier.h
+tmp/modules/ConstituentFilter.$(ObjSuf): \
+	modules/ConstituentFilter.$(SrcSuf) \
+	modules/ConstituentFilter.h \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesFormula.h \
+	external/ExRootAnalysis/ExRootResult.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootClassifier.h
 tmp/modules/EnergyScale.$(ObjSuf): \
 	modules/EnergyScale.$(SrcSuf) \
@@ -532,29 +522,104 @@
 	external/ExRootAnalysis/ExRootFilter.h \
 	external/ExRootAnalysis/ExRootClassifier.h
-tmp/modules/ParticlePropagator.$(ObjSuf): \
-	modules/ParticlePropagator.$(SrcSuf) \
-	modules/ParticlePropagator.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
-tmp/modules/Efficiency.$(ObjSuf): \
-	modules/Efficiency.$(SrcSuf) \
-	modules/Efficiency.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
-tmp/modules/PileUpMergerPythia8.$(ObjSuf): \
-	modules/PileUpMergerPythia8.$(SrcSuf) \
-	modules/PileUpMergerPythia8.h \
+tmp/modules/TauTagging.$(ObjSuf): \
+	modules/TauTagging.$(SrcSuf) \
+	modules/TauTagging.h \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesFormula.h \
+	external/ExRootAnalysis/ExRootResult.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootClassifier.h
+tmp/modules/Merger.$(ObjSuf): \
+	modules/Merger.$(SrcSuf) \
+	modules/Merger.h \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesFormula.h \
+	external/ExRootAnalysis/ExRootResult.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootClassifier.h
+tmp/modules/BTagging.$(ObjSuf): \
+	modules/BTagging.$(SrcSuf) \
+	modules/BTagging.h \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesFormula.h \
+	external/ExRootAnalysis/ExRootResult.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootClassifier.h
+tmp/modules/TreeWriter.$(ObjSuf): \
+	modules/TreeWriter.$(SrcSuf) \
+	modules/TreeWriter.h \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesFormula.h \
+	external/ExRootAnalysis/ExRootResult.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootClassifier.h \
+	external/ExRootAnalysis/ExRootTreeBranch.h
+tmp/modules/Weighter.$(ObjSuf): \
+	modules/Weighter.$(SrcSuf) \
+	modules/Weighter.h \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesFormula.h \
+	external/ExRootAnalysis/ExRootResult.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootClassifier.h
+tmp/modules/Delphes.$(ObjSuf): \
+	modules/Delphes.$(SrcSuf) \
+	modules/Delphes.h \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesFormula.h \
+	external/ExRootAnalysis/ExRootResult.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootClassifier.h \
+	external/ExRootAnalysis/ExRootConfReader.h \
+	external/ExRootAnalysis/ExRootTreeWriter.h
+tmp/modules/Calorimeter.$(ObjSuf): \
+	modules/Calorimeter.$(SrcSuf) \
+	modules/Calorimeter.h \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesFormula.h \
+	external/ExRootAnalysis/ExRootResult.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootClassifier.h
+tmp/modules/Isolation.$(ObjSuf): \
+	modules/Isolation.$(SrcSuf) \
+	modules/Isolation.h \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesFormula.h \
+	external/ExRootAnalysis/ExRootResult.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootClassifier.h
+tmp/modules/PileUpMerger.$(ObjSuf): \
+	modules/PileUpMerger.$(SrcSuf) \
+	modules/PileUpMerger.h \
 	classes/DelphesClasses.h \
 	classes/DelphesFactory.h \
 	classes/DelphesFormula.h \
 	classes/DelphesPileUpReader.h \
+	external/ExRootAnalysis/ExRootResult.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootClassifier.h
+tmp/modules/TrackPileUpSubtractor.$(ObjSuf): \
+	modules/TrackPileUpSubtractor.$(SrcSuf) \
+	modules/TrackPileUpSubtractor.h \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesFormula.h \
+	external/ExRootAnalysis/ExRootResult.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootClassifier.h
+tmp/modules/Cloner.$(ObjSuf): \
+	modules/Cloner.$(SrcSuf) \
+	modules/Cloner.h \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesFormula.h \
 	external/ExRootAnalysis/ExRootResult.h \
 	external/ExRootAnalysis/ExRootFilter.h \
@@ -569,60 +634,4 @@
 	external/ExRootAnalysis/ExRootFilter.h \
 	external/ExRootAnalysis/ExRootClassifier.h
-tmp/modules/Merger.$(ObjSuf): \
-	modules/Merger.$(SrcSuf) \
-	modules/Merger.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
-tmp/modules/BTagging.$(ObjSuf): \
-	modules/BTagging.$(SrcSuf) \
-	modules/BTagging.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
-tmp/modules/Cloner.$(ObjSuf): \
-	modules/Cloner.$(SrcSuf) \
-	modules/Cloner.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
-tmp/modules/Delphes.$(ObjSuf): \
-	modules/Delphes.$(SrcSuf) \
-	modules/Delphes.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h \
-	external/ExRootAnalysis/ExRootConfReader.h \
-	external/ExRootAnalysis/ExRootTreeWriter.h
-tmp/modules/ConstituentFilter.$(ObjSuf): \
-	modules/ConstituentFilter.$(SrcSuf) \
-	modules/ConstituentFilter.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
-tmp/modules/UniqueObjectFinder.$(ObjSuf): \
-	modules/UniqueObjectFinder.$(SrcSuf) \
-	modules/UniqueObjectFinder.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
 tmp/modules/MomentumSmearing.$(ObjSuf): \
 	modules/MomentumSmearing.$(SrcSuf) \
@@ -634,104 +643,111 @@
 	external/ExRootAnalysis/ExRootFilter.h \
 	external/ExRootAnalysis/ExRootClassifier.h
-tmp/modules/TauTagging.$(ObjSuf): \
-	modules/TauTagging.$(SrcSuf) \
-	modules/TauTagging.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
+tmp/external/ExRootAnalysis/ExRootFilter.$(ObjSuf): \
+	external/ExRootAnalysis/ExRootFilter.$(SrcSuf) \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootClassifier.h
+tmp/external/ExRootAnalysis/ExRootConfReader.$(ObjSuf): \
+	external/ExRootAnalysis/ExRootConfReader.$(SrcSuf) \
+	external/ExRootAnalysis/ExRootConfReader.h \
+	external/tcl/tcl.h
 tmp/external/ExRootAnalysis/ExRootTreeWriter.$(ObjSuf): \
 	external/ExRootAnalysis/ExRootTreeWriter.$(SrcSuf) \
 	external/ExRootAnalysis/ExRootTreeWriter.h \
 	external/ExRootAnalysis/ExRootTreeBranch.h
+tmp/external/ExRootAnalysis/ExRootResult.$(ObjSuf): \
+	external/ExRootAnalysis/ExRootResult.$(SrcSuf) \
+	external/ExRootAnalysis/ExRootResult.h \
+	external/ExRootAnalysis/ExRootUtilities.h
+tmp/external/ExRootAnalysis/ExRootTreeBranch.$(ObjSuf): \
+	external/ExRootAnalysis/ExRootTreeBranch.$(SrcSuf) \
+	external/ExRootAnalysis/ExRootTreeBranch.h
+tmp/external/ExRootAnalysis/ExRootTreeReader.$(ObjSuf): \
+	external/ExRootAnalysis/ExRootTreeReader.$(SrcSuf) \
+	external/ExRootAnalysis/ExRootTreeReader.h
 tmp/external/ExRootAnalysis/ExRootTask.$(ObjSuf): \
 	external/ExRootAnalysis/ExRootTask.$(SrcSuf) \
 	external/ExRootAnalysis/ExRootTask.h \
 	external/ExRootAnalysis/ExRootConfReader.h
-tmp/external/ExRootAnalysis/ExRootConfReader.$(ObjSuf): \
-	external/ExRootAnalysis/ExRootConfReader.$(SrcSuf) \
-	external/ExRootAnalysis/ExRootConfReader.h \
-	external/tcl/tcl.h
+tmp/external/ExRootAnalysis/ExRootProgressBar.$(ObjSuf): \
+	external/ExRootAnalysis/ExRootProgressBar.$(SrcSuf) \
+	external/ExRootAnalysis/ExRootProgressBar.h
 tmp/external/ExRootAnalysis/ExRootUtilities.$(ObjSuf): \
 	external/ExRootAnalysis/ExRootUtilities.$(SrcSuf) \
 	external/ExRootAnalysis/ExRootUtilities.h
-tmp/external/ExRootAnalysis/ExRootTreeBranch.$(ObjSuf): \
-	external/ExRootAnalysis/ExRootTreeBranch.$(SrcSuf) \
-	external/ExRootAnalysis/ExRootTreeBranch.h
-tmp/external/ExRootAnalysis/ExRootResult.$(ObjSuf): \
-	external/ExRootAnalysis/ExRootResult.$(SrcSuf) \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootUtilities.h
-tmp/external/ExRootAnalysis/ExRootTreeReader.$(ObjSuf): \
-	external/ExRootAnalysis/ExRootTreeReader.$(SrcSuf) \
-	external/ExRootAnalysis/ExRootTreeReader.h
-tmp/external/ExRootAnalysis/ExRootFilter.$(ObjSuf): \
-	external/ExRootAnalysis/ExRootFilter.$(SrcSuf) \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
-tmp/external/ExRootAnalysis/ExRootProgressBar.$(ObjSuf): \
-	external/ExRootAnalysis/ExRootProgressBar.$(SrcSuf) \
-	external/ExRootAnalysis/ExRootProgressBar.h
-tmp/external/fastjet/ClusterSequenceStructure.$(ObjSuf): \
-	external/fastjet/ClusterSequenceStructure.$(SrcSuf) \
-	external/fastjet/ClusterSequenceStructure.hh \
+tmp/external/fastjet/Dnn2piCylinder.$(ObjSuf): \
+	external/fastjet/Dnn2piCylinder.$(SrcSuf) \
+	external/fastjet/internal/Dnn2piCylinder.hh
+tmp/external/fastjet/GhostedAreaSpec.$(ObjSuf): \
+	external/fastjet/GhostedAreaSpec.$(SrcSuf) \
+	external/fastjet/GhostedAreaSpec.hh \
+	external/fastjet/Error.hh
+tmp/external/fastjet/ClusterSequenceActiveArea.$(ObjSuf): \
+	external/fastjet/ClusterSequenceActiveArea.$(SrcSuf) \
+	external/fastjet/PseudoJet.hh \
+	external/fastjet/ClusterSequence.hh \
+	external/fastjet/ClusterSequenceActiveArea.hh \
+	external/fastjet/ClusterSequenceActiveAreaExplicitGhosts.hh
+tmp/external/fastjet/ClusterSequence_Delaunay.$(ObjSuf): \
+	external/fastjet/ClusterSequence_Delaunay.$(SrcSuf) \
 	external/fastjet/Error.hh \
 	external/fastjet/PseudoJet.hh \
 	external/fastjet/ClusterSequence.hh \
-	external/fastjet/ClusterSequenceAreaBase.hh
-tmp/external/fastjet/FunctionOfPseudoJet.$(ObjSuf): \
-	external/fastjet/FunctionOfPseudoJet.$(SrcSuf)
+	external/fastjet/internal/Dnn4piCylinder.hh \
+	external/fastjet/internal/Dnn3piCylinder.hh \
+	external/fastjet/internal/Dnn2piCylinder.hh
+tmp/external/fastjet/ClusterSequenceArea.$(ObjSuf): \
+	external/fastjet/ClusterSequenceArea.$(SrcSuf) \
+	external/fastjet/ClusterSequenceArea.hh
+tmp/external/fastjet/Voronoi.$(ObjSuf): \
+	external/fastjet/Voronoi.$(SrcSuf) \
+	external/fastjet/internal/Voronoi.hh
+tmp/external/fastjet/Selector.$(ObjSuf): \
+	external/fastjet/Selector.$(SrcSuf) \
+	external/fastjet/Selector.hh \
+	external/fastjet/GhostedAreaSpec.hh
+tmp/external/fastjet/ClusterSequence_TiledN2.$(ObjSuf): \
+	external/fastjet/ClusterSequence_TiledN2.$(SrcSuf) \
+	external/fastjet/PseudoJet.hh \
+	external/fastjet/ClusterSequence.hh \
+	external/fastjet/internal/MinHeap.hh
+tmp/external/fastjet/ClusterSequenceActiveAreaExplicitGhosts.$(ObjSuf): \
+	external/fastjet/ClusterSequenceActiveAreaExplicitGhosts.$(SrcSuf) \
+	external/fastjet/ClusterSequenceActiveAreaExplicitGhosts.hh
+tmp/external/fastjet/LimitedWarning.$(ObjSuf): \
+	external/fastjet/LimitedWarning.$(SrcSuf) \
+	external/fastjet/LimitedWarning.hh
+tmp/external/fastjet/CompositeJetStructure.$(ObjSuf): \
+	external/fastjet/CompositeJetStructure.$(SrcSuf)
+tmp/external/fastjet/DnnPlane.$(ObjSuf): \
+	external/fastjet/DnnPlane.$(SrcSuf) \
+	external/fastjet/internal/DnnPlane.hh
+tmp/external/fastjet/ClusterSequence_DumbN3.$(ObjSuf): \
+	external/fastjet/ClusterSequence_DumbN3.$(SrcSuf) \
+	external/fastjet/PseudoJet.hh \
+	external/fastjet/ClusterSequence.hh
 tmp/external/fastjet/ClusterSequencePassiveArea.$(ObjSuf): \
 	external/fastjet/ClusterSequencePassiveArea.$(SrcSuf) \
 	external/fastjet/ClusterSequencePassiveArea.hh \
 	external/fastjet/ClusterSequenceVoronoiArea.hh
-tmp/external/fastjet/ClusterSequenceVoronoiArea.$(ObjSuf): \
-	external/fastjet/ClusterSequenceVoronoiArea.$(SrcSuf) \
-	external/fastjet/ClusterSequenceVoronoiArea.hh \
-	external/fastjet/internal/Voronoi.hh
-tmp/external/fastjet/Dnn2piCylinder.$(ObjSuf): \
-	external/fastjet/Dnn2piCylinder.$(SrcSuf) \
-	external/fastjet/internal/Dnn2piCylinder.hh
-tmp/external/fastjet/Voronoi.$(ObjSuf): \
-	external/fastjet/Voronoi.$(SrcSuf) \
-	external/fastjet/internal/Voronoi.hh
+tmp/external/fastjet/BasicRandom.$(ObjSuf): \
+	external/fastjet/BasicRandom.$(SrcSuf) \
+	external/fastjet/internal/BasicRandom.hh
 tmp/external/fastjet/ClusterSequenceAreaBase.$(ObjSuf): \
 	external/fastjet/ClusterSequenceAreaBase.$(SrcSuf) \
 	external/fastjet/ClusterSequenceAreaBase.hh
-tmp/external/fastjet/DnnPlane.$(ObjSuf): \
-	external/fastjet/DnnPlane.$(SrcSuf) \
-	external/fastjet/internal/DnnPlane.hh
-tmp/external/fastjet/GhostedAreaSpec.$(ObjSuf): \
-	external/fastjet/GhostedAreaSpec.$(SrcSuf) \
-	external/fastjet/GhostedAreaSpec.hh \
-	external/fastjet/Error.hh
-tmp/external/fastjet/ClusterSequenceArea.$(ObjSuf): \
-	external/fastjet/ClusterSequenceArea.$(SrcSuf) \
-	external/fastjet/ClusterSequenceArea.hh
-tmp/external/fastjet/ClosestPair2D.$(ObjSuf): \
-	external/fastjet/ClosestPair2D.$(SrcSuf) \
-	external/fastjet/internal/ClosestPair2D.hh
-tmp/external/fastjet/AreaDefinition.$(ObjSuf): \
-	external/fastjet/AreaDefinition.$(SrcSuf) \
-	external/fastjet/AreaDefinition.hh
-tmp/external/fastjet/ClusterSequence_DumbN3.$(ObjSuf): \
-	external/fastjet/ClusterSequence_DumbN3.$(SrcSuf) \
-	external/fastjet/PseudoJet.hh \
-	external/fastjet/ClusterSequence.hh
-tmp/external/fastjet/ClusterSequence1GhostPassiveArea.$(ObjSuf): \
-	external/fastjet/ClusterSequence1GhostPassiveArea.$(SrcSuf) \
-	external/fastjet/ClusterSequence1GhostPassiveArea.hh
-tmp/external/fastjet/Dnn3piCylinder.$(ObjSuf): \
-	external/fastjet/Dnn3piCylinder.$(SrcSuf) \
-	external/fastjet/internal/Dnn3piCylinder.hh
-tmp/external/fastjet/ClusterSequenceActiveAreaExplicitGhosts.$(ObjSuf): \
-	external/fastjet/ClusterSequenceActiveAreaExplicitGhosts.$(SrcSuf) \
-	external/fastjet/ClusterSequenceActiveAreaExplicitGhosts.hh
-tmp/external/fastjet/Error.$(ObjSuf): \
-	external/fastjet/Error.$(SrcSuf) \
+tmp/external/fastjet/PseudoJetStructureBase.$(ObjSuf): \
+	external/fastjet/PseudoJetStructureBase.$(SrcSuf) \
+	external/fastjet/PseudoJetStructureBase.hh \
 	external/fastjet/Error.hh \
-	external/fastjet/config.h
+	external/fastjet/PseudoJet.hh \
+	external/fastjet/ClusterSequence.hh \
+	external/fastjet/ClusterSequenceAreaBase.hh
+tmp/external/fastjet/ClusterSequence.$(ObjSuf): \
+	external/fastjet/ClusterSequence.$(SrcSuf) \
+	external/fastjet/Error.hh \
+	external/fastjet/PseudoJet.hh \
+	external/fastjet/ClusterSequence.hh \
+	external/fastjet/ClusterSequenceStructure.hh \
+	external/fastjet/version.hh
 tmp/external/fastjet/JetDefinition.$(ObjSuf): \
 	external/fastjet/JetDefinition.$(SrcSuf) \
@@ -739,47 +755,8 @@
 	external/fastjet/Error.hh \
 	external/fastjet/CompositeJetStructure.hh
-tmp/external/fastjet/ClusterSequence_Delaunay.$(ObjSuf): \
-	external/fastjet/ClusterSequence_Delaunay.$(SrcSuf) \
+tmp/external/fastjet/Error.$(ObjSuf): \
+	external/fastjet/Error.$(SrcSuf) \
 	external/fastjet/Error.hh \
-	external/fastjet/PseudoJet.hh \
-	external/fastjet/ClusterSequence.hh \
-	external/fastjet/internal/Dnn4piCylinder.hh \
-	external/fastjet/internal/Dnn3piCylinder.hh \
-	external/fastjet/internal/Dnn2piCylinder.hh
-tmp/external/fastjet/PseudoJet.$(ObjSuf): \
-	external/fastjet/PseudoJet.$(SrcSuf) \
-	external/fastjet/Error.hh \
-	external/fastjet/PseudoJet.hh \
-	external/fastjet/ClusterSequence.hh \
-	external/fastjet/ClusterSequenceAreaBase.hh \
-	external/fastjet/CompositeJetStructure.hh
-tmp/external/fastjet/ClusterSequence.$(ObjSuf): \
-	external/fastjet/ClusterSequence.$(SrcSuf) \
-	external/fastjet/Error.hh \
-	external/fastjet/PseudoJet.hh \
-	external/fastjet/ClusterSequence.hh \
-	external/fastjet/ClusterSequenceStructure.hh \
-	external/fastjet/version.hh
-tmp/external/fastjet/Selector.$(ObjSuf): \
-	external/fastjet/Selector.$(SrcSuf) \
-	external/fastjet/Selector.hh \
-	external/fastjet/GhostedAreaSpec.hh
-tmp/external/fastjet/BasicRandom.$(ObjSuf): \
-	external/fastjet/BasicRandom.$(SrcSuf) \
-	external/fastjet/internal/BasicRandom.hh
-tmp/external/fastjet/Dnn4piCylinder.$(ObjSuf): \
-	external/fastjet/Dnn4piCylinder.$(SrcSuf) \
-	external/fastjet/internal/Dnn4piCylinder.hh
-tmp/external/fastjet/ClusterSequence_TiledN2.$(ObjSuf): \
-	external/fastjet/ClusterSequence_TiledN2.$(SrcSuf) \
-	external/fastjet/PseudoJet.hh \
-	external/fastjet/ClusterSequence.hh \
-	external/fastjet/internal/MinHeap.hh
-tmp/external/fastjet/ClusterSequenceActiveArea.$(ObjSuf): \
-	external/fastjet/ClusterSequenceActiveArea.$(SrcSuf) \
-	external/fastjet/PseudoJet.hh \
-	external/fastjet/ClusterSequence.hh \
-	external/fastjet/ClusterSequenceActiveArea.hh \
-	external/fastjet/ClusterSequenceActiveAreaExplicitGhosts.hh
+	external/fastjet/config.h
 tmp/external/fastjet/RangeDefinition.$(ObjSuf): \
 	external/fastjet/RangeDefinition.$(SrcSuf) \
@@ -787,31 +764,71 @@
 tmp/external/fastjet/ClusterSequence_N2.$(ObjSuf): \
 	external/fastjet/ClusterSequence_N2.$(SrcSuf)
+tmp/external/fastjet/ClusterSequenceStructure.$(ObjSuf): \
+	external/fastjet/ClusterSequenceStructure.$(SrcSuf) \
+	external/fastjet/ClusterSequenceStructure.hh \
+	external/fastjet/Error.hh \
+	external/fastjet/PseudoJet.hh \
+	external/fastjet/ClusterSequence.hh \
+	external/fastjet/ClusterSequenceAreaBase.hh
+tmp/external/fastjet/Dnn4piCylinder.$(ObjSuf): \
+	external/fastjet/Dnn4piCylinder.$(SrcSuf) \
+	external/fastjet/internal/Dnn4piCylinder.hh
+tmp/external/fastjet/ClusterSequence1GhostPassiveArea.$(ObjSuf): \
+	external/fastjet/ClusterSequence1GhostPassiveArea.$(SrcSuf) \
+	external/fastjet/ClusterSequence1GhostPassiveArea.hh
+tmp/external/fastjet/MinHeap.$(ObjSuf): \
+	external/fastjet/MinHeap.$(SrcSuf) \
+	external/fastjet/internal/MinHeap.hh
+tmp/external/fastjet/PseudoJet.$(ObjSuf): \
+	external/fastjet/PseudoJet.$(SrcSuf) \
+	external/fastjet/Error.hh \
+	external/fastjet/PseudoJet.hh \
+	external/fastjet/ClusterSequence.hh \
+	external/fastjet/ClusterSequenceAreaBase.hh \
+	external/fastjet/CompositeJetStructure.hh
+tmp/external/fastjet/Dnn3piCylinder.$(ObjSuf): \
+	external/fastjet/Dnn3piCylinder.$(SrcSuf) \
+	external/fastjet/internal/Dnn3piCylinder.hh
 tmp/external/fastjet/ClusterSequence_CP2DChan.$(ObjSuf): \
 	external/fastjet/ClusterSequence_CP2DChan.$(SrcSuf) \
 	external/fastjet/ClusterSequence.hh \
 	external/fastjet/internal/ClosestPair2D.hh
-tmp/external/fastjet/LimitedWarning.$(ObjSuf): \
-	external/fastjet/LimitedWarning.$(SrcSuf) \
-	external/fastjet/LimitedWarning.hh
-tmp/external/fastjet/PseudoJetStructureBase.$(ObjSuf): \
-	external/fastjet/PseudoJetStructureBase.$(SrcSuf) \
-	external/fastjet/PseudoJetStructureBase.hh \
-	external/fastjet/Error.hh \
-	external/fastjet/PseudoJet.hh \
-	external/fastjet/ClusterSequence.hh \
-	external/fastjet/ClusterSequenceAreaBase.hh
-tmp/external/fastjet/MinHeap.$(ObjSuf): \
-	external/fastjet/MinHeap.$(SrcSuf) \
-	external/fastjet/internal/MinHeap.hh
-tmp/external/fastjet/CompositeJetStructure.$(ObjSuf): \
-	external/fastjet/CompositeJetStructure.$(SrcSuf)
+tmp/external/fastjet/ClusterSequenceVoronoiArea.$(ObjSuf): \
+	external/fastjet/ClusterSequenceVoronoiArea.$(SrcSuf) \
+	external/fastjet/ClusterSequenceVoronoiArea.hh \
+	external/fastjet/internal/Voronoi.hh
+tmp/external/fastjet/ClosestPair2D.$(ObjSuf): \
+	external/fastjet/ClosestPair2D.$(SrcSuf) \
+	external/fastjet/internal/ClosestPair2D.hh
+tmp/external/fastjet/FunctionOfPseudoJet.$(ObjSuf): \
+	external/fastjet/FunctionOfPseudoJet.$(SrcSuf)
+tmp/external/fastjet/AreaDefinition.$(ObjSuf): \
+	external/fastjet/AreaDefinition.$(SrcSuf) \
+	external/fastjet/AreaDefinition.hh
+tmp/external/fastjet/tools/CASubJetTagger.$(ObjSuf): \
+	external/fastjet/tools/CASubJetTagger.$(SrcSuf)
+tmp/external/fastjet/tools/TopTaggerBase.$(ObjSuf): \
+	external/fastjet/tools/TopTaggerBase.$(SrcSuf)
+tmp/external/fastjet/tools/BackgroundEstimatorBase.$(ObjSuf): \
+	external/fastjet/tools/BackgroundEstimatorBase.$(SrcSuf) \
+	external/fastjet/tools/BackgroundEstimatorBase.hh
+tmp/external/fastjet/tools/Subtractor.$(ObjSuf): \
+	external/fastjet/tools/Subtractor.$(SrcSuf) \
+	external/fastjet/tools/Subtractor.hh
+tmp/external/fastjet/tools/RestFrameNSubjettinessTagger.$(ObjSuf): \
+	external/fastjet/tools/RestFrameNSubjettinessTagger.$(SrcSuf)
+tmp/external/fastjet/tools/JetMedianBackgroundEstimator.$(ObjSuf): \
+	external/fastjet/tools/JetMedianBackgroundEstimator.$(SrcSuf) \
+	external/fastjet/tools/JetMedianBackgroundEstimator.hh
+tmp/external/fastjet/tools/MassDropTagger.$(ObjSuf): \
+	external/fastjet/tools/MassDropTagger.$(SrcSuf)
+tmp/external/fastjet/tools/JHTopTagger.$(ObjSuf): \
+	external/fastjet/tools/JHTopTagger.$(SrcSuf)
 tmp/external/fastjet/tools/GridMedianBackgroundEstimator.$(ObjSuf): \
 	external/fastjet/tools/GridMedianBackgroundEstimator.$(SrcSuf) \
 	external/fastjet/tools/GridMedianBackgroundEstimator.hh
-tmp/external/fastjet/tools/BackgroundEstimatorBase.$(ObjSuf): \
-	external/fastjet/tools/BackgroundEstimatorBase.$(SrcSuf) \
-	external/fastjet/tools/BackgroundEstimatorBase.hh
-tmp/external/fastjet/tools/RestFrameNSubjettinessTagger.$(ObjSuf): \
-	external/fastjet/tools/RestFrameNSubjettinessTagger.$(SrcSuf)
+tmp/external/fastjet/tools/Filter.$(ObjSuf): \
+	external/fastjet/tools/Filter.$(SrcSuf) \
+	external/fastjet/tools/Filter.hh
 tmp/external/fastjet/tools/Pruner.$(ObjSuf): \
 	external/fastjet/tools/Pruner.$(SrcSuf) \
@@ -819,212 +836,195 @@
 	external/fastjet/ClusterSequenceActiveAreaExplicitGhosts.hh \
 	external/fastjet/Selector.hh
-tmp/external/fastjet/tools/JHTopTagger.$(ObjSuf): \
-	external/fastjet/tools/JHTopTagger.$(SrcSuf)
-tmp/external/fastjet/tools/MassDropTagger.$(ObjSuf): \
-	external/fastjet/tools/MassDropTagger.$(SrcSuf)
-tmp/external/fastjet/tools/Filter.$(ObjSuf): \
-	external/fastjet/tools/Filter.$(SrcSuf) \
-	external/fastjet/tools/Filter.hh
-tmp/external/fastjet/tools/TopTaggerBase.$(ObjSuf): \
-	external/fastjet/tools/TopTaggerBase.$(SrcSuf)
-tmp/external/fastjet/tools/JetMedianBackgroundEstimator.$(ObjSuf): \
-	external/fastjet/tools/JetMedianBackgroundEstimator.$(SrcSuf) \
-	external/fastjet/tools/JetMedianBackgroundEstimator.hh
-tmp/external/fastjet/tools/Subtractor.$(ObjSuf): \
-	external/fastjet/tools/Subtractor.$(SrcSuf) \
-	external/fastjet/tools/Subtractor.hh
-tmp/external/fastjet/tools/CASubJetTagger.$(ObjSuf): \
-	external/fastjet/tools/CASubJetTagger.$(SrcSuf)
+tmp/external/fastjet/plugins/ATLASCone/ATLASConePlugin.$(ObjSuf): \
+	external/fastjet/plugins/ATLASCone/ATLASConePlugin.$(SrcSuf) \
+	external/fastjet/ClusterSequence.hh
+tmp/external/fastjet/plugins/ATLASCone/JetConeFinderTool.$(ObjSuf): \
+	external/fastjet/plugins/ATLASCone/JetConeFinderTool.$(SrcSuf)
+tmp/external/fastjet/plugins/ATLASCone/Jet.$(ObjSuf): \
+	external/fastjet/plugins/ATLASCone/Jet.$(SrcSuf)
+tmp/external/fastjet/plugins/ATLASCone/JetSplitMergeTool.$(ObjSuf): \
+	external/fastjet/plugins/ATLASCone/JetSplitMergeTool.$(SrcSuf)
+tmp/external/fastjet/plugins/NestedDefs/NestedDefsPlugin.$(ObjSuf): \
+	external/fastjet/plugins/NestedDefs/NestedDefsPlugin.$(SrcSuf) \
+	external/fastjet/ClusterSequence.hh
 tmp/external/fastjet/plugins/D0RunIICone/D0RunIIConePlugin.$(ObjSuf): \
 	external/fastjet/plugins/D0RunIICone/D0RunIIConePlugin.$(SrcSuf) \
 	external/fastjet/ClusterSequence.hh \
 	external/fastjet/Error.hh
+tmp/external/fastjet/plugins/TrackJet/TrackJetPlugin.$(ObjSuf): \
+	external/fastjet/plugins/TrackJet/TrackJetPlugin.$(SrcSuf) \
+	external/fastjet/ClusterSequence.hh
+tmp/external/fastjet/plugins/CDFCones/CDFMidPointPlugin.$(ObjSuf): \
+	external/fastjet/plugins/CDFCones/CDFMidPointPlugin.$(SrcSuf) \
+	external/fastjet/ClusterSequence.hh \
+	external/fastjet/Error.hh
+tmp/external/fastjet/plugins/CDFCones/MidPointAlgorithm.$(ObjSuf): \
+	external/fastjet/plugins/CDFCones/MidPointAlgorithm.$(SrcSuf)
+tmp/external/fastjet/plugins/CDFCones/CDFJetCluPlugin.$(ObjSuf): \
+	external/fastjet/plugins/CDFCones/CDFJetCluPlugin.$(SrcSuf) \
+	external/fastjet/ClusterSequence.hh
+tmp/external/fastjet/plugins/CDFCones/JetCluAlgorithm.$(ObjSuf): \
+	external/fastjet/plugins/CDFCones/JetCluAlgorithm.$(SrcSuf)
+tmp/external/fastjet/plugins/D0RunICone/D0RunIBaseConePlugin.$(ObjSuf): \
+	external/fastjet/plugins/D0RunICone/D0RunIBaseConePlugin.$(SrcSuf) \
+	external/fastjet/ClusterSequence.hh \
+	external/fastjet/Error.hh
+tmp/external/fastjet/plugins/SISCone/geom_2d.$(ObjSuf): \
+	external/fastjet/plugins/SISCone/geom_2d.$(SrcSuf)
+tmp/external/fastjet/plugins/SISCone/SISConePlugin.$(ObjSuf): \
+	external/fastjet/plugins/SISCone/SISConePlugin.$(SrcSuf) \
+	external/fastjet/ClusterSequence.hh
+tmp/external/fastjet/plugins/SISCone/siscone.$(ObjSuf): \
+	external/fastjet/plugins/SISCone/siscone.$(SrcSuf)
+tmp/external/fastjet/plugins/SISCone/hash.$(ObjSuf): \
+	external/fastjet/plugins/SISCone/hash.$(SrcSuf)
+tmp/external/fastjet/plugins/SISCone/quadtree.$(ObjSuf): \
+	external/fastjet/plugins/SISCone/quadtree.$(SrcSuf)
+tmp/external/fastjet/plugins/SISCone/area.$(ObjSuf): \
+	external/fastjet/plugins/SISCone/area.$(SrcSuf)
+tmp/external/fastjet/plugins/SISCone/momentum.$(ObjSuf): \
+	external/fastjet/plugins/SISCone/momentum.$(SrcSuf)
+tmp/external/fastjet/plugins/SISCone/reference.$(ObjSuf): \
+	external/fastjet/plugins/SISCone/reference.$(SrcSuf)
+tmp/external/fastjet/plugins/SISCone/ranlux.$(ObjSuf): \
+	external/fastjet/plugins/SISCone/ranlux.$(SrcSuf)
+tmp/external/fastjet/plugins/SISCone/protocones.$(ObjSuf): \
+	external/fastjet/plugins/SISCone/protocones.$(SrcSuf)
+tmp/external/fastjet/plugins/SISCone/split_merge.$(ObjSuf): \
+	external/fastjet/plugins/SISCone/split_merge.$(SrcSuf)
+tmp/external/fastjet/plugins/SISCone/vicinity.$(ObjSuf): \
+	external/fastjet/plugins/SISCone/vicinity.$(SrcSuf)
+tmp/external/fastjet/plugins/SISCone/siscone_error.$(ObjSuf): \
+	external/fastjet/plugins/SISCone/siscone_error.$(SrcSuf)
+tmp/external/fastjet/plugins/CMSIterativeCone/CMSIterativeConePlugin.$(ObjSuf): \
+	external/fastjet/plugins/CMSIterativeCone/CMSIterativeConePlugin.$(SrcSuf) \
+	external/fastjet/ClusterSequence.hh
+tmp/external/fastjet/plugins/GridJet/GridJetPlugin.$(ObjSuf): \
+	external/fastjet/plugins/GridJet/GridJetPlugin.$(SrcSuf) \
+	external/fastjet/ClusterSequence.hh
 tmp/external/fastjet/plugins/Jade/JadePlugin.$(ObjSuf): \
 	external/fastjet/plugins/Jade/JadePlugin.$(SrcSuf) \
 	external/fastjet/ClusterSequence.hh \
 	external/fastjet/NNH.hh
-tmp/external/fastjet/plugins/SISCone/protocones.$(ObjSuf): \
-	external/fastjet/plugins/SISCone/protocones.$(SrcSuf)
-tmp/external/fastjet/plugins/SISCone/vicinity.$(ObjSuf): \
-	external/fastjet/plugins/SISCone/vicinity.$(SrcSuf)
-tmp/external/fastjet/plugins/SISCone/reference.$(ObjSuf): \
-	external/fastjet/plugins/SISCone/reference.$(SrcSuf)
-tmp/external/fastjet/plugins/SISCone/momentum.$(ObjSuf): \
-	external/fastjet/plugins/SISCone/momentum.$(SrcSuf)
-tmp/external/fastjet/plugins/SISCone/siscone.$(ObjSuf): \
-	external/fastjet/plugins/SISCone/siscone.$(SrcSuf)
-tmp/external/fastjet/plugins/SISCone/area.$(ObjSuf): \
-	external/fastjet/plugins/SISCone/area.$(SrcSuf)
-tmp/external/fastjet/plugins/SISCone/ranlux.$(ObjSuf): \
-	external/fastjet/plugins/SISCone/ranlux.$(SrcSuf)
-tmp/external/fastjet/plugins/SISCone/quadtree.$(ObjSuf): \
-	external/fastjet/plugins/SISCone/quadtree.$(SrcSuf)
-tmp/external/fastjet/plugins/SISCone/split_merge.$(ObjSuf): \
-	external/fastjet/plugins/SISCone/split_merge.$(SrcSuf)
-tmp/external/fastjet/plugins/SISCone/geom_2d.$(ObjSuf): \
-	external/fastjet/plugins/SISCone/geom_2d.$(SrcSuf)
-tmp/external/fastjet/plugins/SISCone/siscone_error.$(ObjSuf): \
-	external/fastjet/plugins/SISCone/siscone_error.$(SrcSuf)
-tmp/external/fastjet/plugins/SISCone/SISConePlugin.$(ObjSuf): \
-	external/fastjet/plugins/SISCone/SISConePlugin.$(SrcSuf) \
-	external/fastjet/ClusterSequence.hh
-tmp/external/fastjet/plugins/SISCone/hash.$(ObjSuf): \
-	external/fastjet/plugins/SISCone/hash.$(SrcSuf)
-tmp/external/fastjet/plugins/CDFCones/JetCluAlgorithm.$(ObjSuf): \
-	external/fastjet/plugins/CDFCones/JetCluAlgorithm.$(SrcSuf)
-tmp/external/fastjet/plugins/CDFCones/CDFMidPointPlugin.$(ObjSuf): \
-	external/fastjet/plugins/CDFCones/CDFMidPointPlugin.$(SrcSuf) \
-	external/fastjet/ClusterSequence.hh \
-	external/fastjet/Error.hh
-tmp/external/fastjet/plugins/CDFCones/CDFJetCluPlugin.$(ObjSuf): \
-	external/fastjet/plugins/CDFCones/CDFJetCluPlugin.$(SrcSuf) \
-	external/fastjet/ClusterSequence.hh
-tmp/external/fastjet/plugins/CDFCones/MidPointAlgorithm.$(ObjSuf): \
-	external/fastjet/plugins/CDFCones/MidPointAlgorithm.$(SrcSuf)
-tmp/external/fastjet/plugins/CMSIterativeCone/CMSIterativeConePlugin.$(ObjSuf): \
-	external/fastjet/plugins/CMSIterativeCone/CMSIterativeConePlugin.$(SrcSuf) \
-	external/fastjet/ClusterSequence.hh
-tmp/external/fastjet/plugins/NestedDefs/NestedDefsPlugin.$(ObjSuf): \
-	external/fastjet/plugins/NestedDefs/NestedDefsPlugin.$(SrcSuf) \
-	external/fastjet/ClusterSequence.hh
-tmp/external/fastjet/plugins/D0RunICone/D0RunIBaseConePlugin.$(ObjSuf): \
-	external/fastjet/plugins/D0RunICone/D0RunIBaseConePlugin.$(SrcSuf) \
-	external/fastjet/ClusterSequence.hh \
-	external/fastjet/Error.hh
 tmp/external/fastjet/plugins/EECambridge/EECambridgePlugin.$(ObjSuf): \
 	external/fastjet/plugins/EECambridge/EECambridgePlugin.$(SrcSuf) \
 	external/fastjet/ClusterSequence.hh \
 	external/fastjet/NNH.hh
-tmp/external/fastjet/plugins/TrackJet/TrackJetPlugin.$(ObjSuf): \
-	external/fastjet/plugins/TrackJet/TrackJetPlugin.$(SrcSuf) \
-	external/fastjet/ClusterSequence.hh
-tmp/external/fastjet/plugins/GridJet/GridJetPlugin.$(ObjSuf): \
-	external/fastjet/plugins/GridJet/GridJetPlugin.$(SrcSuf) \
-	external/fastjet/ClusterSequence.hh
-tmp/external/fastjet/plugins/ATLASCone/JetSplitMergeTool.$(ObjSuf): \
-	external/fastjet/plugins/ATLASCone/JetSplitMergeTool.$(SrcSuf)
-tmp/external/fastjet/plugins/ATLASCone/JetConeFinderTool.$(ObjSuf): \
-	external/fastjet/plugins/ATLASCone/JetConeFinderTool.$(SrcSuf)
-tmp/external/fastjet/plugins/ATLASCone/Jet.$(ObjSuf): \
-	external/fastjet/plugins/ATLASCone/Jet.$(SrcSuf)
-tmp/external/fastjet/plugins/ATLASCone/ATLASConePlugin.$(ObjSuf): \
-	external/fastjet/plugins/ATLASCone/ATLASConePlugin.$(SrcSuf) \
-	external/fastjet/ClusterSequence.hh
 DELPHES_OBJ +=  \
+	tmp/classes/DelphesHepMCReader.$(ObjSuf) \
+	tmp/classes/DelphesLHEFReader.$(ObjSuf) \
+	tmp/classes/DelphesFactory.$(ObjSuf) \
+	tmp/classes/DelphesFormula.$(ObjSuf) \
+	tmp/classes/DelphesSTDHEPReader.$(ObjSuf) \
 	tmp/classes/DelphesStream.$(ObjSuf) \
 	tmp/classes/DelphesPileUpWriter.$(ObjSuf) \
+	tmp/classes/DelphesModule.$(ObjSuf) \
 	tmp/classes/DelphesClasses.$(ObjSuf) \
-	tmp/classes/DelphesLHEFReader.$(ObjSuf) \
-	tmp/classes/DelphesFormula.$(ObjSuf) \
-	tmp/classes/DelphesFactory.$(ObjSuf) \
-	tmp/classes/DelphesSTDHEPReader.$(ObjSuf) \
-	tmp/classes/DelphesHepMCReader.$(ObjSuf) \
 	tmp/classes/DelphesPileUpReader.$(ObjSuf) \
-	tmp/classes/DelphesModule.$(ObjSuf) \
-	tmp/modules/TrackPileUpSubtractor.$(ObjSuf) \
-	tmp/modules/TreeWriter.$(ObjSuf) \
 	tmp/modules/LeptonDressing.$(ObjSuf) \
-	tmp/modules/PileUpMerger.$(ObjSuf) \
-	tmp/modules/Isolation.$(ObjSuf) \
+	tmp/modules/Efficiency.$(ObjSuf) \
+	tmp/modules/UniqueObjectFinder.$(ObjSuf) \
 	tmp/modules/ExampleModule.$(ObjSuf) \
-	tmp/modules/Calorimeter.$(ObjSuf) \
-	tmp/modules/Weighter.$(ObjSuf) \
+	tmp/modules/ParticlePropagator.$(ObjSuf) \
 	tmp/modules/EnergySmearing.$(ObjSuf) \
+	tmp/modules/FastJetFinder.$(ObjSuf) \
 	tmp/modules/StatusPidFilter.$(ObjSuf) \
-	tmp/modules/FastJetFinder.$(ObjSuf) \
+	tmp/modules/ConstituentFilter.$(ObjSuf) \
 	tmp/modules/EnergyScale.$(ObjSuf) \
-	tmp/modules/ParticlePropagator.$(ObjSuf) \
-	tmp/modules/Efficiency.$(ObjSuf) \
-	tmp/modules/JetPileUpSubtractor.$(ObjSuf) \
+	tmp/modules/TauTagging.$(ObjSuf) \
 	tmp/modules/Merger.$(ObjSuf) \
 	tmp/modules/BTagging.$(ObjSuf) \
+	tmp/modules/TreeWriter.$(ObjSuf) \
+	tmp/modules/Weighter.$(ObjSuf) \
+	tmp/modules/Delphes.$(ObjSuf) \
+	tmp/modules/Calorimeter.$(ObjSuf) \
+	tmp/modules/Isolation.$(ObjSuf) \
+	tmp/modules/PileUpMerger.$(ObjSuf) \
+	tmp/modules/TrackPileUpSubtractor.$(ObjSuf) \
 	tmp/modules/Cloner.$(ObjSuf) \
-	tmp/modules/Delphes.$(ObjSuf) \
-	tmp/modules/ConstituentFilter.$(ObjSuf) \
-	tmp/modules/UniqueObjectFinder.$(ObjSuf) \
+	tmp/modules/JetPileUpSubtractor.$(ObjSuf) \
 	tmp/modules/MomentumSmearing.$(ObjSuf) \
-	tmp/modules/TauTagging.$(ObjSuf) \
+	tmp/external/ExRootAnalysis/ExRootFilter.$(ObjSuf) \
+	tmp/external/ExRootAnalysis/ExRootConfReader.$(ObjSuf) \
 	tmp/external/ExRootAnalysis/ExRootTreeWriter.$(ObjSuf) \
+	tmp/external/ExRootAnalysis/ExRootResult.$(ObjSuf) \
+	tmp/external/ExRootAnalysis/ExRootTreeBranch.$(ObjSuf) \
+	tmp/external/ExRootAnalysis/ExRootTreeReader.$(ObjSuf) \
 	tmp/external/ExRootAnalysis/ExRootTask.$(ObjSuf) \
-	tmp/external/ExRootAnalysis/ExRootConfReader.$(ObjSuf) \
+	tmp/external/ExRootAnalysis/ExRootProgressBar.$(ObjSuf) \
 	tmp/external/ExRootAnalysis/ExRootUtilities.$(ObjSuf) \
-	tmp/external/ExRootAnalysis/ExRootTreeBranch.$(ObjSuf) \
-	tmp/external/ExRootAnalysis/ExRootResult.$(ObjSuf) \
-	tmp/external/ExRootAnalysis/ExRootTreeReader.$(ObjSuf) \
-	tmp/external/ExRootAnalysis/ExRootFilter.$(ObjSuf) \
-	tmp/external/ExRootAnalysis/ExRootProgressBar.$(ObjSuf) \
-	tmp/external/fastjet/ClusterSequenceStructure.$(ObjSuf) \
-	tmp/external/fastjet/FunctionOfPseudoJet.$(ObjSuf) \
+	tmp/external/fastjet/Dnn2piCylinder.$(ObjSuf) \
+	tmp/external/fastjet/GhostedAreaSpec.$(ObjSuf) \
+	tmp/external/fastjet/ClusterSequenceActiveArea.$(ObjSuf) \
+	tmp/external/fastjet/ClusterSequence_Delaunay.$(ObjSuf) \
+	tmp/external/fastjet/ClusterSequenceArea.$(ObjSuf) \
+	tmp/external/fastjet/Voronoi.$(ObjSuf) \
+	tmp/external/fastjet/Selector.$(ObjSuf) \
+	tmp/external/fastjet/ClusterSequence_TiledN2.$(ObjSuf) \
+	tmp/external/fastjet/ClusterSequenceActiveAreaExplicitGhosts.$(ObjSuf) \
+	tmp/external/fastjet/LimitedWarning.$(ObjSuf) \
+	tmp/external/fastjet/CompositeJetStructure.$(ObjSuf) \
+	tmp/external/fastjet/DnnPlane.$(ObjSuf) \
+	tmp/external/fastjet/ClusterSequence_DumbN3.$(ObjSuf) \
 	tmp/external/fastjet/ClusterSequencePassiveArea.$(ObjSuf) \
-	tmp/external/fastjet/ClusterSequenceVoronoiArea.$(ObjSuf) \
-	tmp/external/fastjet/Dnn2piCylinder.$(ObjSuf) \
-	tmp/external/fastjet/Voronoi.$(ObjSuf) \
+	tmp/external/fastjet/BasicRandom.$(ObjSuf) \
 	tmp/external/fastjet/ClusterSequenceAreaBase.$(ObjSuf) \
-	tmp/external/fastjet/DnnPlane.$(ObjSuf) \
-	tmp/external/fastjet/GhostedAreaSpec.$(ObjSuf) \
-	tmp/external/fastjet/ClusterSequenceArea.$(ObjSuf) \
-	tmp/external/fastjet/ClosestPair2D.$(ObjSuf) \
-	tmp/external/fastjet/AreaDefinition.$(ObjSuf) \
-	tmp/external/fastjet/ClusterSequence_DumbN3.$(ObjSuf) \
-	tmp/external/fastjet/ClusterSequence1GhostPassiveArea.$(ObjSuf) \
-	tmp/external/fastjet/Dnn3piCylinder.$(ObjSuf) \
-	tmp/external/fastjet/ClusterSequenceActiveAreaExplicitGhosts.$(ObjSuf) \
+	tmp/external/fastjet/PseudoJetStructureBase.$(ObjSuf) \
+	tmp/external/fastjet/ClusterSequence.$(ObjSuf) \
+	tmp/external/fastjet/JetDefinition.$(ObjSuf) \
 	tmp/external/fastjet/Error.$(ObjSuf) \
-	tmp/external/fastjet/JetDefinition.$(ObjSuf) \
-	tmp/external/fastjet/ClusterSequence_Delaunay.$(ObjSuf) \
-	tmp/external/fastjet/PseudoJet.$(ObjSuf) \
-	tmp/external/fastjet/ClusterSequence.$(ObjSuf) \
-	tmp/external/fastjet/Selector.$(ObjSuf) \
-	tmp/external/fastjet/BasicRandom.$(ObjSuf) \
-	tmp/external/fastjet/Dnn4piCylinder.$(ObjSuf) \
-	tmp/external/fastjet/ClusterSequence_TiledN2.$(ObjSuf) \
-	tmp/external/fastjet/ClusterSequenceActiveArea.$(ObjSuf) \
 	tmp/external/fastjet/RangeDefinition.$(ObjSuf) \
 	tmp/external/fastjet/ClusterSequence_N2.$(ObjSuf) \
+	tmp/external/fastjet/ClusterSequenceStructure.$(ObjSuf) \
+	tmp/external/fastjet/Dnn4piCylinder.$(ObjSuf) \
+	tmp/external/fastjet/ClusterSequence1GhostPassiveArea.$(ObjSuf) \
+	tmp/external/fastjet/MinHeap.$(ObjSuf) \
+	tmp/external/fastjet/PseudoJet.$(ObjSuf) \
+	tmp/external/fastjet/Dnn3piCylinder.$(ObjSuf) \
 	tmp/external/fastjet/ClusterSequence_CP2DChan.$(ObjSuf) \
-	tmp/external/fastjet/LimitedWarning.$(ObjSuf) \
-	tmp/external/fastjet/PseudoJetStructureBase.$(ObjSuf) \
-	tmp/external/fastjet/MinHeap.$(ObjSuf) \
-	tmp/external/fastjet/CompositeJetStructure.$(ObjSuf) \
+	tmp/external/fastjet/ClusterSequenceVoronoiArea.$(ObjSuf) \
+	tmp/external/fastjet/ClosestPair2D.$(ObjSuf) \
+	tmp/external/fastjet/FunctionOfPseudoJet.$(ObjSuf) \
+	tmp/external/fastjet/AreaDefinition.$(ObjSuf) \
+	tmp/external/fastjet/tools/CASubJetTagger.$(ObjSuf) \
+	tmp/external/fastjet/tools/TopTaggerBase.$(ObjSuf) \
+	tmp/external/fastjet/tools/BackgroundEstimatorBase.$(ObjSuf) \
+	tmp/external/fastjet/tools/Subtractor.$(ObjSuf) \
+	tmp/external/fastjet/tools/RestFrameNSubjettinessTagger.$(ObjSuf) \
+	tmp/external/fastjet/tools/JetMedianBackgroundEstimator.$(ObjSuf) \
+	tmp/external/fastjet/tools/MassDropTagger.$(ObjSuf) \
+	tmp/external/fastjet/tools/JHTopTagger.$(ObjSuf) \
 	tmp/external/fastjet/tools/GridMedianBackgroundEstimator.$(ObjSuf) \
-	tmp/external/fastjet/tools/BackgroundEstimatorBase.$(ObjSuf) \
-	tmp/external/fastjet/tools/RestFrameNSubjettinessTagger.$(ObjSuf) \
+	tmp/external/fastjet/tools/Filter.$(ObjSuf) \
 	tmp/external/fastjet/tools/Pruner.$(ObjSuf) \
-	tmp/external/fastjet/tools/JHTopTagger.$(ObjSuf) \
-	tmp/external/fastjet/tools/MassDropTagger.$(ObjSuf) \
-	tmp/external/fastjet/tools/Filter.$(ObjSuf) \
-	tmp/external/fastjet/tools/TopTaggerBase.$(ObjSuf) \
-	tmp/external/fastjet/tools/JetMedianBackgroundEstimator.$(ObjSuf) \
-	tmp/external/fastjet/tools/Subtractor.$(ObjSuf) \
-	tmp/external/fastjet/tools/CASubJetTagger.$(ObjSuf) \
-	tmp/external/fastjet/plugins/D0RunIICone/D0RunIIConePlugin.$(ObjSuf) \
-	tmp/external/fastjet/plugins/Jade/JadePlugin.$(ObjSuf) \
-	tmp/external/fastjet/plugins/SISCone/protocones.$(ObjSuf) \
-	tmp/external/fastjet/plugins/SISCone/vicinity.$(ObjSuf) \
-	tmp/external/fastjet/plugins/SISCone/reference.$(ObjSuf) \
-	tmp/external/fastjet/plugins/SISCone/momentum.$(ObjSuf) \
-	tmp/external/fastjet/plugins/SISCone/siscone.$(ObjSuf) \
-	tmp/external/fastjet/plugins/SISCone/area.$(ObjSuf) \
-	tmp/external/fastjet/plugins/SISCone/ranlux.$(ObjSuf) \
-	tmp/external/fastjet/plugins/SISCone/quadtree.$(ObjSuf) \
-	tmp/external/fastjet/plugins/SISCone/split_merge.$(ObjSuf) \
-	tmp/external/fastjet/plugins/SISCone/geom_2d.$(ObjSuf) \
-	tmp/external/fastjet/plugins/SISCone/siscone_error.$(ObjSuf) \
-	tmp/external/fastjet/plugins/SISCone/SISConePlugin.$(ObjSuf) \
-	tmp/external/fastjet/plugins/SISCone/hash.$(ObjSuf) \
-	tmp/external/fastjet/plugins/CDFCones/JetCluAlgorithm.$(ObjSuf) \
-	tmp/external/fastjet/plugins/CDFCones/CDFMidPointPlugin.$(ObjSuf) \
-	tmp/external/fastjet/plugins/CDFCones/CDFJetCluPlugin.$(ObjSuf) \
-	tmp/external/fastjet/plugins/CDFCones/MidPointAlgorithm.$(ObjSuf) \
-	tmp/external/fastjet/plugins/CMSIterativeCone/CMSIterativeConePlugin.$(ObjSuf) \
-	tmp/external/fastjet/plugins/NestedDefs/NestedDefsPlugin.$(ObjSuf) \
-	tmp/external/fastjet/plugins/D0RunICone/D0RunIBaseConePlugin.$(ObjSuf) \
-	tmp/external/fastjet/plugins/EECambridge/EECambridgePlugin.$(ObjSuf) \
-	tmp/external/fastjet/plugins/TrackJet/TrackJetPlugin.$(ObjSuf) \
-	tmp/external/fastjet/plugins/GridJet/GridJetPlugin.$(ObjSuf) \
-	tmp/external/fastjet/plugins/ATLASCone/JetSplitMergeTool.$(ObjSuf) \
+	tmp/external/fastjet/plugins/ATLASCone/ATLASConePlugin.$(ObjSuf) \
 	tmp/external/fastjet/plugins/ATLASCone/JetConeFinderTool.$(ObjSuf) \
 	tmp/external/fastjet/plugins/ATLASCone/Jet.$(ObjSuf) \
-	tmp/external/fastjet/plugins/ATLASCone/ATLASConePlugin.$(ObjSuf)
+	tmp/external/fastjet/plugins/ATLASCone/JetSplitMergeTool.$(ObjSuf) \
+	tmp/external/fastjet/plugins/NestedDefs/NestedDefsPlugin.$(ObjSuf) \
+	tmp/external/fastjet/plugins/D0RunIICone/D0RunIIConePlugin.$(ObjSuf) \
+	tmp/external/fastjet/plugins/TrackJet/TrackJetPlugin.$(ObjSuf) \
+	tmp/external/fastjet/plugins/CDFCones/CDFMidPointPlugin.$(ObjSuf) \
+	tmp/external/fastjet/plugins/CDFCones/MidPointAlgorithm.$(ObjSuf) \
+	tmp/external/fastjet/plugins/CDFCones/CDFJetCluPlugin.$(ObjSuf) \
+	tmp/external/fastjet/plugins/CDFCones/JetCluAlgorithm.$(ObjSuf) \
+	tmp/external/fastjet/plugins/D0RunICone/D0RunIBaseConePlugin.$(ObjSuf) \
+	tmp/external/fastjet/plugins/SISCone/geom_2d.$(ObjSuf) \
+	tmp/external/fastjet/plugins/SISCone/SISConePlugin.$(ObjSuf) \
+	tmp/external/fastjet/plugins/SISCone/siscone.$(ObjSuf) \
+	tmp/external/fastjet/plugins/SISCone/hash.$(ObjSuf) \
+	tmp/external/fastjet/plugins/SISCone/quadtree.$(ObjSuf) \
+	tmp/external/fastjet/plugins/SISCone/area.$(ObjSuf) \
+	tmp/external/fastjet/plugins/SISCone/momentum.$(ObjSuf) \
+	tmp/external/fastjet/plugins/SISCone/reference.$(ObjSuf) \
+	tmp/external/fastjet/plugins/SISCone/ranlux.$(ObjSuf) \
+	tmp/external/fastjet/plugins/SISCone/protocones.$(ObjSuf) \
+	tmp/external/fastjet/plugins/SISCone/split_merge.$(ObjSuf) \
+	tmp/external/fastjet/plugins/SISCone/vicinity.$(ObjSuf) \
+	tmp/external/fastjet/plugins/SISCone/siscone_error.$(ObjSuf) \
+	tmp/external/fastjet/plugins/CMSIterativeCone/CMSIterativeConePlugin.$(ObjSuf) \
+	tmp/external/fastjet/plugins/GridJet/GridJetPlugin.$(ObjSuf) \
+	tmp/external/fastjet/plugins/Jade/JadePlugin.$(ObjSuf) \
+	tmp/external/fastjet/plugins/EECambridge/EECambridgePlugin.$(ObjSuf)
 
 ifeq ($(HAS_PYTHIA8),true)
@@ -1033,13 +1033,13 @@
 endif
 
+tmp/display/DelphesDisplay.$(ObjSuf): \
+	display/DelphesDisplay.$(SrcSuf) \
+	display/DelphesDisplay.h
 tmp/display/DelphesCaloData.$(ObjSuf): \
 	display/DelphesCaloData.$(SrcSuf) \
 	display/DelphesCaloData.h
-tmp/display/DelphesDisplay.$(ObjSuf): \
-	display/DelphesDisplay.$(SrcSuf) \
-	display/DelphesDisplay.h
 DISPLAY_OBJ +=  \
-	tmp/display/DelphesCaloData.$(ObjSuf) \
-	tmp/display/DelphesDisplay.$(ObjSuf)
+	tmp/display/DelphesDisplay.$(ObjSuf) \
+	tmp/display/DelphesCaloData.$(ObjSuf)
 
 ifeq ($(HAS_PYTHIA8),true)
@@ -1048,86 +1048,86 @@
 endif
 
+tmp/external/tcl/tclObj.$(ObjSuf): \
+	external/tcl/tclObj.c
+tmp/external/tcl/tclUtil.$(ObjSuf): \
+	external/tcl/tclUtil.c
+tmp/external/tcl/tclAsync.$(ObjSuf): \
+	external/tcl/tclAsync.c
+tmp/external/tcl/tclPosixStr.$(ObjSuf): \
+	external/tcl/tclPosixStr.c
+tmp/external/tcl/tclCompile.$(ObjSuf): \
+	external/tcl/tclCompile.c
+tmp/external/tcl/tclHistory.$(ObjSuf): \
+	external/tcl/tclHistory.c
+tmp/external/tcl/tclResolve.$(ObjSuf): \
+	external/tcl/tclResolve.c
+tmp/external/tcl/tclParse.$(ObjSuf): \
+	external/tcl/tclParse.c
+tmp/external/tcl/tclVar.$(ObjSuf): \
+	external/tcl/tclVar.c
+tmp/external/tcl/tclIndexObj.$(ObjSuf): \
+	external/tcl/tclIndexObj.c
+tmp/external/tcl/tclCkalloc.$(ObjSuf): \
+	external/tcl/tclCkalloc.c
+tmp/external/tcl/tclListObj.$(ObjSuf): \
+	external/tcl/tclListObj.c
+tmp/external/tcl/tclHash.$(ObjSuf): \
+	external/tcl/tclHash.c
+tmp/external/tcl/tclCmdIL.$(ObjSuf): \
+	external/tcl/tclCmdIL.c
+tmp/external/tcl/tclStringObj.$(ObjSuf): \
+	external/tcl/tclStringObj.c
+tmp/external/tcl/tclAlloc.$(ObjSuf): \
+	external/tcl/tclAlloc.c
+tmp/external/tcl/tclCompExpr.$(ObjSuf): \
+	external/tcl/tclCompExpr.c
+tmp/external/tcl/tclLink.$(ObjSuf): \
+	external/tcl/tclLink.c
+tmp/external/tcl/tclCmdAH.$(ObjSuf): \
+	external/tcl/tclCmdAH.c
+tmp/external/tcl/panic.$(ObjSuf): \
+	external/tcl/panic.c
+tmp/external/tcl/tclBasic.$(ObjSuf): \
+	external/tcl/tclBasic.c
 tmp/external/tcl/tclPreserve.$(ObjSuf): \
 	external/tcl/tclPreserve.c
-tmp/external/tcl/tclLink.$(ObjSuf): \
-	external/tcl/tclLink.c
-tmp/external/tcl/tclCompExpr.$(ObjSuf): \
-	external/tcl/tclCompExpr.c
-tmp/external/tcl/tclExecute.$(ObjSuf): \
-	external/tcl/tclExecute.c
-tmp/external/tcl/tclCkalloc.$(ObjSuf): \
-	external/tcl/tclCkalloc.c
-tmp/external/tcl/tclParse.$(ObjSuf): \
-	external/tcl/tclParse.c
-tmp/external/tcl/tclCmdMZ.$(ObjSuf): \
-	external/tcl/tclCmdMZ.c
-tmp/external/tcl/tclUtil.$(ObjSuf): \
-	external/tcl/tclUtil.c
 tmp/external/tcl/tclGet.$(ObjSuf): \
 	external/tcl/tclGet.c
 tmp/external/tcl/tclNamesp.$(ObjSuf): \
 	external/tcl/tclNamesp.c
-tmp/external/tcl/tclHash.$(ObjSuf): \
-	external/tcl/tclHash.c
-tmp/external/tcl/panic.$(ObjSuf): \
-	external/tcl/panic.c
-tmp/external/tcl/tclVar.$(ObjSuf): \
-	external/tcl/tclVar.c
-tmp/external/tcl/tclAlloc.$(ObjSuf): \
-	external/tcl/tclAlloc.c
-tmp/external/tcl/tclPosixStr.$(ObjSuf): \
-	external/tcl/tclPosixStr.c
-tmp/external/tcl/tclHistory.$(ObjSuf): \
-	external/tcl/tclHistory.c
-tmp/external/tcl/tclStringObj.$(ObjSuf): \
-	external/tcl/tclStringObj.c
-tmp/external/tcl/tclIndexObj.$(ObjSuf): \
-	external/tcl/tclIndexObj.c
 tmp/external/tcl/tclProc.$(ObjSuf): \
 	external/tcl/tclProc.c
-tmp/external/tcl/tclListObj.$(ObjSuf): \
-	external/tcl/tclListObj.c
-tmp/external/tcl/tclObj.$(ObjSuf): \
-	external/tcl/tclObj.c
-tmp/external/tcl/tclCmdAH.$(ObjSuf): \
-	external/tcl/tclCmdAH.c
-tmp/external/tcl/tclAsync.$(ObjSuf): \
-	external/tcl/tclAsync.c
-tmp/external/tcl/tclResolve.$(ObjSuf): \
-	external/tcl/tclResolve.c
-tmp/external/tcl/tclBasic.$(ObjSuf): \
-	external/tcl/tclBasic.c
-tmp/external/tcl/tclCmdIL.$(ObjSuf): \
-	external/tcl/tclCmdIL.c
-tmp/external/tcl/tclCompile.$(ObjSuf): \
-	external/tcl/tclCompile.c
+tmp/external/tcl/tclExecute.$(ObjSuf): \
+	external/tcl/tclExecute.c
+tmp/external/tcl/tclCmdMZ.$(ObjSuf): \
+	external/tcl/tclCmdMZ.c
 TCL_OBJ +=  \
+	tmp/external/tcl/tclObj.$(ObjSuf) \
+	tmp/external/tcl/tclUtil.$(ObjSuf) \
+	tmp/external/tcl/tclAsync.$(ObjSuf) \
+	tmp/external/tcl/tclPosixStr.$(ObjSuf) \
+	tmp/external/tcl/tclCompile.$(ObjSuf) \
+	tmp/external/tcl/tclHistory.$(ObjSuf) \
+	tmp/external/tcl/tclResolve.$(ObjSuf) \
+	tmp/external/tcl/tclParse.$(ObjSuf) \
+	tmp/external/tcl/tclVar.$(ObjSuf) \
+	tmp/external/tcl/tclIndexObj.$(ObjSuf) \
+	tmp/external/tcl/tclCkalloc.$(ObjSuf) \
+	tmp/external/tcl/tclListObj.$(ObjSuf) \
+	tmp/external/tcl/tclHash.$(ObjSuf) \
+	tmp/external/tcl/tclCmdIL.$(ObjSuf) \
+	tmp/external/tcl/tclStringObj.$(ObjSuf) \
+	tmp/external/tcl/tclAlloc.$(ObjSuf) \
+	tmp/external/tcl/tclCompExpr.$(ObjSuf) \
+	tmp/external/tcl/tclLink.$(ObjSuf) \
+	tmp/external/tcl/tclCmdAH.$(ObjSuf) \
+	tmp/external/tcl/panic.$(ObjSuf) \
+	tmp/external/tcl/tclBasic.$(ObjSuf) \
 	tmp/external/tcl/tclPreserve.$(ObjSuf) \
-	tmp/external/tcl/tclLink.$(ObjSuf) \
-	tmp/external/tcl/tclCompExpr.$(ObjSuf) \
-	tmp/external/tcl/tclExecute.$(ObjSuf) \
-	tmp/external/tcl/tclCkalloc.$(ObjSuf) \
-	tmp/external/tcl/tclParse.$(ObjSuf) \
-	tmp/external/tcl/tclCmdMZ.$(ObjSuf) \
-	tmp/external/tcl/tclUtil.$(ObjSuf) \
 	tmp/external/tcl/tclGet.$(ObjSuf) \
 	tmp/external/tcl/tclNamesp.$(ObjSuf) \
-	tmp/external/tcl/tclHash.$(ObjSuf) \
-	tmp/external/tcl/panic.$(ObjSuf) \
-	tmp/external/tcl/tclVar.$(ObjSuf) \
-	tmp/external/tcl/tclAlloc.$(ObjSuf) \
-	tmp/external/tcl/tclPosixStr.$(ObjSuf) \
-	tmp/external/tcl/tclHistory.$(ObjSuf) \
-	tmp/external/tcl/tclStringObj.$(ObjSuf) \
-	tmp/external/tcl/tclIndexObj.$(ObjSuf) \
 	tmp/external/tcl/tclProc.$(ObjSuf) \
-	tmp/external/tcl/tclListObj.$(ObjSuf) \
-	tmp/external/tcl/tclObj.$(ObjSuf) \
-	tmp/external/tcl/tclCmdAH.$(ObjSuf) \
-	tmp/external/tcl/tclAsync.$(ObjSuf) \
-	tmp/external/tcl/tclResolve.$(ObjSuf) \
-	tmp/external/tcl/tclBasic.$(ObjSuf) \
-	tmp/external/tcl/tclCmdIL.$(ObjSuf) \
-	tmp/external/tcl/tclCompile.$(ObjSuf)
+	tmp/external/tcl/tclExecute.$(ObjSuf) \
+	tmp/external/tcl/tclCmdMZ.$(ObjSuf)
 
 external/fastjet/internal/ClosestPair2D.hh: \
@@ -1376,4 +1376,8 @@
 	@touch $@
 
+external/fastjet/AreaDefinition.hh: \
+	external/fastjet/GhostedAreaSpec.hh
+	@touch $@
+
 external/fastjet/internal/Dnn3piCylinder.hh: \
 	external/fastjet/internal/DynamicNearestNeighbours.hh \
@@ -1382,8 +1386,4 @@
 	@touch $@
 
-external/fastjet/AreaDefinition.hh: \
-	external/fastjet/GhostedAreaSpec.hh
-	@touch $@
-
 modules/TreeWriter.h: \
 	classes/DelphesModule.h
@@ -1400,10 +1400,10 @@
 	@touch $@
 
+external/fastjet/config.h: \
+	external/fastjet/config_win.h
+	@touch $@
+
 external/fastjet/LimitedWarning.hh: \
 	external/fastjet/internal/base.hh
-	@touch $@
-
-external/fastjet/config.h: \
-	external/fastjet/config_win.h
 	@touch $@
 
